regex_compiler.h File Reference

Go to the source code of this file.

## Classes

struct | std::__detail::_BracketMatcher< _TraitsT, __icase, __collate >
struct | std::__detail::_BracketMatcher< _TraitsT, __icase, __collate >
class | std::__detail::_Compiler< _TraitsT >
class | std::regex_traits< _Ch_type >

## Namespaces

| std
| std::__detail

## Typedefs

template<typename _Iter , typename _TraitsT >
using | std::__detail::__disable_if_contiguous_normal_iter = typename enable_if< !__is_contiguous_normal_iter< _Iter >::value, std::shared_ptr< const _NFA< _TraitsT > > >::type
template<typename _Iter , typename _TraitsT >
using | std::__detail::__enable_if_contiguous_normal_iter = typename enable_if< __is_contiguous_normal_iter< _Iter >::value, std::shared_ptr< const _NFA< _TraitsT > > >::type

## Functions

template<typename _TraitsT , typename _FwdIter >
__enable_if_contiguous_normal_iter< _FwdIter, _TraitsT > | std::__detail::__compile_nfa (_FwdIter __first, _FwdIter __last, const typename _TraitsT::locale_type &__loc, regex_constants::syntax_option_type __flags)
template<typename _TraitsT , typename _FwdIter >
__disable_if_contiguous_normal_iter< _FwdIter, _TraitsT > | std::__detail::__compile_nfa (_FwdIter __first, _FwdIter __last, const typename _TraitsT::locale_type &__loc, regex_constants::syntax_option_type __flags)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <regex>.

Definition in file regex_compiler.h.